## gnome-shell-mobile 48.0

=== debian/changelog ===
gnome-shell-mobile (48.0-1) unstable; urgency=medium

  * New upstream release

 -- Pedro Echanove <pedro.echanove@liberux.net>  Sun, 25 May 2025 23:19:07 +0200
